Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters
Interface ToggleElement

All Known Subinterfaces:
  ContactSource

All Known Implementing Classes:
  AndCondition, CallCenterStatWithSlidingWindows, ContactArrivalProcess, Dialer, DirichletArrivalProcess, DirichletCompoundArrivalProcess, FixedCountsArrivalProcess, NORTADrivenArrivalProcess, OrCondition, PeriodChangeEvent, PiecewiseConstantPoissonArrivalProcess, PoissonArrivalProcess, PoissonArrivalProcessWithInversion, PoissonArrivalProcessWithRandomRates, PoissonArrivalProcessWithThinning, PoissonArrivalProcessWithTimeIntervals, PoissonGammaArrivalProcess, PoissonGammaNortaRatesArrivalProcess, PoissonUniformArrivalProcess, StatCondition, StationaryContactArrivalProcess

    public interface ToggleElement

Specifies an element that can be enabled or disabled at any time during the simulation. The meaning of the ``enabled'' and ``disabled'' states depends on the particular toggle element. For example, an enabled contact arrival process provides contacts to the system whereas a disabled arrival process does not.

Method Summary
`boolean` | `isStarted()` Determines if the element is enabled or disabled.
`void` | `start()` Enables the element represented by this object.
`void` | `stop()` Disables the element represented by this object.

Method Detail

### start

    void start()

  Enables the element represented by this object. This method throws an `IllegalStateException` if the element is already enabled.

  Throws:
    `IllegalStateException` - if the element is already enabled.

### stop

    void stop()

  Disables the element represented by this object. This method throws an `IllegalStateException` if the element is already disabled.

  Throws:
    `IllegalStateException` - if the element is already disabled.

### isStarted

    boolean isStarted()

  Determines if the element is enabled or disabled. Returns `true` if the element is enabled, `false` otherwise.

  Returns:
    the current state of the element.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.